%define name	kmediagrab
%define version	0.3
%define release 2mdk

Name: 	 	%{name}
Summary: 	KDE interface to capture or transcode videos
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://sourceforge.net/projects/kmediagrab/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext kdelibs-devel
Requires:	mencoder

%description
Kmediagrab is a front end to mplayer/mencoder features. It grabs audio/video
from a DVD or a TV video card, or translates a video file from one format to
another.

%prep
%setup -q

%build
%configure
perl -p -i -e 's|--tag=CXX|||g' `find -name 'Makefile'`
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="KMediaGrab" longtitle="Video recorder and transcoder" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING TODO
%{_bindir}/%name
%{_datadir}/applnk/Applications/*
%{_datadir}/icons/locolor/*/*/*.png
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- Rebuild

* Fri May 30 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
